XtSetSensitive(3Xt)

NAME
XtSetSensitive, XtIsSensitive - set and check a widget's sensitivity state

SYNTAX
void XtSetSensitive(w, sensitive)
      Widget w;
      Boolean sensitive;

Boolean XtIsSensitive(w)
     Widget w;

ARGUMENTS

sensitive
    Specifies a Boolean value that indicates whether the widget should receive keyboard and pointer events.

w   Specifies the widget.

DESCRIPTION
The function first calls on the current widget with an argument list specifying that the sensitive field should change to the new value. It then recursively propagates the new value down the managed children tree by calling on each child to set the ancestor_sensitive to the new value if the new values for sensitive and the child's ancestor_sensitive are not the same.

calls to change sensitive and ancestor_sensitive. Therefore, when one of these changes, the widget's set_values procedure should take whatever display actions are needed (for example, greying out or stippling the widget).

maintains the invariant that if parent has either sensitive or ancestor_sensitive then all children have ancestor_sensitive

The function returns or to indicate whether or not user input events are being dispatched. If both core.sensitive and core.ancestor_sensitive are returns otherwise, it returns

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface